#include <stdio.h>

/*
** This is an implementation of the standard (but not universally available)
** dirname routine. Like the original, this routine writes in the given
** string.
*/

char  *dirname( char *path )
{
    char *p = path;
    char *curr = ".";

    if( path == NULL )
	return curr;

    /* Go to end of string. */
    for( p=path; *p!='\0'; ++p );

    /* Find last slash. */
    for( ; (p!=path)&&(*p!='/'); --p );

    /* Simple filename or root. */
    if( p == path )
    {
	if( *path == '/' )
	    return "/";
	return curr;
    }

    *p = '\0';

    if( *path == '\0' )
	return curr;

    return path;
}

#if 0
main()
{
    fprintf( stdout, "/ \"%s\"\n", dirname("/") );
    fprintf( stdout, ". \"%s\"\n", dirname(".") );
    fprintf( stdout, ".. \"%s\"\n", dirname("..") );
    fprintf( stdout, "/usr/lib \"%s\"\n", dirname("/usr/lib") );
    fprintf( stdout, "/foo.c \"%s\"\n", dirname("/") );
}
#endif
