/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef BOARDP_H
#define BOARDP_H

#include <X11/IntrinsicP.h>
#include <X11/CompositeP.h>
#include "Board.h"

typedef struct
{
    void *extension;
} LjpBoardPart;

typedef struct _LjpBoardRec
{
    CorePart core;
    CompositePart composite;
    LjpBoardPart board;
} LjpBoardRec;

typedef struct
{
    XtPointer extension;
} LjpBoardClassPart;

typedef struct _LjpBoardClassRec
{
    CoreClassPart core_class;
    CompositeClassPart composite_class;
    LjpBoardClassPart board_class;
} LjpBoardClassRec;

extern LjpBoardClassRec ljpBoardClassRec;

#endif /* BOARDP_H */
