# 
#  Copyright (c) 1998 by Larry Plona
# 
#  This distribution  of XPipeman is copyright by Larry Plona.
#  The  package  and  its  component  files  may  be  freely
#  distributed as long as  all copyright notices remain intact
#  and this distribution is not sold  as  commercial software.
# 
#  No warranty of any kind is attached with this software.  It
#  is supplied as is.
# 
# ----------------------------------------------------------------

# Starting at the line marked "---START OF EDITABLE DEFINES" edit the
# file as instructed. The information below will provide some help
# with the instructions, but for the most part you need only follow
# the directions for your operating system.
#

.SUFFIXES: .cc .c .o .in .m

#
# ---START OF EDITABLE DEFINES---
#

# Select your operating system.
#     uw7   - UnixWare 7.0
#     uw2   - UnixWare 2.1
#     sol2  - Solaris 2.6
#     linux - Generic Linux
#     os5   - OpenServer 5
#
#     hp    - and WHY NOT indeed? :)
PLATFORM=hp


CC = gcc
CXX = g++


# Source/build directory (root of distribution).
#
DIR_BUILD = .

# Add include directives to ensure that "xpm.h" and "soundcard.h"
# will be found. Nothing is needed for most platforms.
#
EXT_INCDIR = -I/opt/xpm/include

# Make sure that Xpm can be found. Nothing is needed for most platforms.
#
EXT_LIBDIR = -L/opt/xpm/lib/X11

# All ancillary libraries (added after X11 libs). Nothing is needed for
# most platforms.
#
EXT_LIBS =

# Installation directories. IGNORED ON CDE SYSTEMS.
#

# XPipeman library. Shareable between machines of different architectures.
#
INST_LIB = /opt/xpipeman3/bin

# Only the xpipeman executable will go here. (Nah!)
#
INST_BIN = /opt/xpipeman3/bin

# Exact locations of xpipeman man page.
#
INST_MAN1 = /opt/xpipeman3/man/man1
INST_CAT1 = /opt/xpipeman3/man/cat1

#
# ---END OF EDITABLE DEFINES---
#
