/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#include<stdio.h>
#include<nl_types.h>

#ifndef NL_SETMAX
#define NL_SETMAX 128
#endif
#ifndef NL_MSGMAX
#define NL_MSGMAX 1023
#endif

/*
** catter.
**
** A very simple application to dump the contents of a message catalog.
**
** catter <catalog>
*/

main( int argc, char *argv[] )
{
    char *str;
    int s, i;
    nl_catd cd;

    if( (cd=catopen(argv[1],0)) == (nl_catd)-1 )
    {
	return 1;
    }

    for( s=1; s<NL_SETMAX; ++s )
    {
	for( i=1; i<NL_MSGMAX; ++i )
	{
	    if( (str=catgets(cd,s,i,NULL)) == NULL )
		break;
	    fprintf( stdout, "%d %d \"%s\"\n", s, i, str );
	}
    }

    catclose( cd );

    return( 0 );
}
