/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef GAMEWINDOWP_H
#define GAMEWINDOWP_H

#include <X11/IntrinsicP.h>
#include <X11/CompositeP.h>
#include "LjpStringDefs.h"
#include "GameWindow.h"

typedef struct
{
    Dimension margin_width;
    Dimension margin_height;
    Dimension margin_top;
    Dimension margin_bottom;
    Dimension play_width;
    Dimension play_height;
} LjpGameWindowPart;

typedef struct _LjpGameWindowRec
{
    CorePart core;
    CompositePart composite;
    LjpGameWindowPart gamewindow;
} LjpGameWindowRec;

typedef struct
{
    XtPointer extension;
} LjpGameWindowClassPart;

typedef struct _LjpGameWindowClassRec
{
    CoreClassPart core_class;
    CompositeClassPart composite_class;
    LjpGameWindowClassPart gamewindow_class;
} LjpGameWindowClassRec;

extern LjpGameWindowClassRec ljpGameWindowClassRec;

#endif /* GAMEWINDOWP_H */
