/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef TITULUSP_H
#define TITULUSP_H

#include <X11/IntrinsicP.h>
#include "PrimitiveP.h"
#include "Titulus.h"

typedef struct
{
    struct XljpTitulusChunk *chunks;
    /* Private. */
} LjpTitulusPart;

typedef struct _LjpTitulusRec
{
    CorePart         core;
    LjpPrimitivePart primitive;
    LjpTitulusPart   titulus;
} LjpTitulusRec;

typedef struct
{
    XtPointer extension;
} LjpTitulusClassPart;

typedef struct _LjpTitulusClassRec
{
    CoreClassPart core_class;
    LjpPrimitiveClassPart primitive_class;
    LjpTitulusClassPart titulus_class;
} LjpTitulusClassRec;

extern LjpTitulusClassRec ljpTitulusClassRec;

#endif /* TITULUSP_H */
